const
	maxc = 10000;
	minc = -10000;

var
	i, n: longint;
	x, y: array [0..1000] of longint;

begin
	randseed := 9723047;

	n := 10;
	x[0] := 0;
	y[0] := random(maxc - minc + 1) + minc;

	for i := 1 to n do begin
		repeat
			x[i] := x[i - 1] + random((2 * (maxc - x[i - 1])) div (n - i + 1)) + 1;
		until maxc - x[i] >= n - i;
		y[i] := random(maxc - minc + 1) + minc;
	end;

	writeln(n);
	for i := 0 to n do begin
		writeln(x[i], ' ', y[i]);
	end;
	writeln(random(maxc) + 1);
end.
